{ config, pkgs, ... }:

{
  # Définition des domaines utilisés lorsque un identifiant non-FQDN est donné (ping, nslookup)
  networking = {
    search = [
      "dubronetwork.fr"
      "prunetwork.fr"
      "teleragno.fr"
      "teleragno.net"
    ];
    dnsExtensionMechanism = true;
  };

  # Utilisation d'adresse IPv6 temporaire
  
  ## https://blog.linitx.com/control-privacy-addressing-ipv6-linux/
  ## http://www.tldp.org/HOWTO/Linux+IPv6-HOWTO/x1092.html

  boot.kernel.sysctl = {
    "net.ipv6.conf.all.temp_prefered_lft" = 3600; # 1 heure
    "net.ipv6.conf.all.temp_valid_lft" = 86400; # 1 jour
    "net.ipv6.conf.all.use_tempaddr" = 2; # activé

    "net.ipv6.conf.default.temp_prefered_lft" = 3600; # 1 heure
    "net.ipv6.conf.default.temp_valid_lft" = 86400; # 1 jour
    "net.ipv6.conf.default.use_tempaddr" = 2; # activé
    };

  # Noeud de supoervision munin = pas de stockage des données locales

  services.munin-node = {
    enable = true;
  };
}
